- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#body.FetchFacetsFeaturedContentPlaybooksResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#body.aspect_1)
- [FacetOption](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#FacetOption)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#FacetOption.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.contentHub.featuredContentPlaybooks.fetchFacets

Fetches available facets for filtering FeaturedContentPlaybooks. Use this method to discover the categories (e.g., integrations, tags) and their possible values that can be used to narrow down the list of curated playbooks.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/featuredContentPlaybooks:fetchFacets`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of FeaturedContentPlaybooks. Format: projects/{project}/locations/{location}/instances/{instance}/contentHub |

### Request body

The request body must be empty.

### Response body

Response message containing the available facets for FeaturedContentPlaybooks.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "integrations": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#FacetOption`) } ], "tags": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#FacetOption`) } ] } ``` |

| Fields ||
|---|---|
| `integrations[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#FacetOption`)`` Output only. Available integration facet values. |
| `tags[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.contentHub.featuredContentPlaybooks/fetchFacets#FacetOption`)`` Output only. Available tag facet values. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.featuredContentPlaybooks.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## FacetOption

Represents a single facet option, providing a possible value for a facet.

| JSON representation |
|---|
| ``` { "value": string } ``` |

| Fields ||
|---|---|
| `value` | `string` Output only. The value of the facet. |